<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 16:14:40 CEST 2020 -->
<title>Class Hierarchy</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/polarsys/chess/validator/package-tree.html">org.polarsys.chess.validator</a>, </li>
<li><a href="org/polarsys/chess/validator/automatedActions/package-tree.html">org.polarsys.chess.validator.automatedActions</a>, </li>
<li><a href="org/polarsys/chess/validator/command/package-tree.html">org.polarsys.chess.validator.command</a>, </li>
<li><a href="org/polarsys/chess/validator/command/util/package-tree.html">org.polarsys.chess.validator.command.util</a>, </li>
<li><a href="org/polarsys/chess/validator/constraints/package-tree.html">org.polarsys.chess.validator.constraints</a>, </li>
<li><a href="org/polarsys/chess/validator/libs/package-tree.html">org.polarsys.chess.validator.libs</a>, </li>
<li><a href="org/polarsys/chess/validator/managers/package-tree.html">org.polarsys.chess.validator.managers</a>, </li>
<li><a href="org/polarsys/chess/validator/messages/package-tree.html">org.polarsys.chess.validator.messages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">org.eclipse.emf.validation.AbstractModelConstraint
<ul>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/ArincProc_01.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">ArincProc_01</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/AV_03.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">AV_03</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/Connector_01.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">Connector_01</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/Connector_02.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">Connector_02</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/Connector_03.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">Connector_03</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/DV_01.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">DV_01</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/DV_02.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">DV_02</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/DV_03.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">DV_03</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/DV_04.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">DV_04</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/DV_05.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">DV_05</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/DV_06.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">DV_06</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_01.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_01</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_02.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_02</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_02_1.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_02_1</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_03.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_03</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_04.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_04</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_20.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_20</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_30.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_30</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/EFVRT_40.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">EFVRT_40</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FlowPorts_01.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FlowPorts_01</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FlowPorts_02.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FlowPorts_02</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FlowPorts_03.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FlowPorts_03</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FV_02.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FV_02</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FV_03.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FV_03</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FV_04.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FV_04</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FV_05.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FV_05</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FV_06.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FV_06</span></a></li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/FV_07.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">FV_07</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.core.commands.operations.AbstractOperation (implements org.eclipse.core.commands.operations.IUndoableOperation)
<ul>
<li type="circle">org.eclipse.emf.workspace.AbstractEMFOperation
<ul>
<li type="circle">org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand (implements org.eclipse.gmf.runtime.common.core.command.ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult)
<ul>
<li type="circle">org.eclipse.papyrus.infra.services.validation.commands.AbstractValidateCommand
<ul>
<li type="circle">org.polarsys.chess.validator.command.<a href="org/polarsys/chess/validator/command/ChessGenericValidateCommand.html" title="class in org.polarsys.chess.validator.command"><span class="typeNameLink">ChessGenericValidateCommand</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.polarsys.chess.validator.libs.<a href="org/polarsys/chess/validator/libs/ActionsLib.html" title="class in org.polarsys.chess.validator.libs"><span class="typeNameLink">ActionsLib</span></a></li>
<li type="circle">org.polarsys.chess.validator.managers.<a href="org/polarsys/chess/validator/managers/AddDiagramElement.html" title="class in org.polarsys.chess.validator.managers"><span class="typeNameLink">AddDiagramElement</span></a></li>
<li type="circle">org.polarsys.chess.validator.libs.<a href="org/polarsys/chess/validator/libs/ConstraintsLib.html" title="class in org.polarsys.chess.validator.libs"><span class="typeNameLink">ConstraintsLib</span></a></li>
<li type="circle">org.polarsys.chess.validator.libs.<a href="org/polarsys/chess/validator/libs/CrossViewActionLib.html" title="class in org.polarsys.chess.validator.libs"><span class="typeNameLink">CrossViewActionLib</span></a></li>
<li type="circle">org.eclipse.emf.ecore.util.Diagnostician (implements org.eclipse.emf.ecore.EValidator, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider)
<ul>
<li type="circle">org.polarsys.chess.validator.command.util.<a href="org/polarsys/chess/validator/command/util/ChessGenericDiagnostician.html" title="class in org.polarsys.chess.validator.command.util"><span class="typeNameLink">ChessGenericDiagnostician</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.util.EObjectValidator (implements org.eclipse.emf.ecore.EValidator)
<ul>
<li type="circle">org.polarsys.chess.validator.command.util.<a href="org/polarsys/chess/validator/command/util/ChessValidatorAdapter.html" title="class in org.polarsys.chess.validator.command.util"><span class="typeNameLink">ChessValidatorAdapter</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.core.commands.common.EventManager
<ul>
<li type="circle">org.eclipse.core.commands.AbstractHandler (implements org.eclipse.core.commands.IHandler2)
<ul>
<li type="circle">org.eclipse.papyrus.infra.services.validation.handler.AbstractCommandHandler
<ul>
<li type="circle">org.polarsys.chess.validator.command.<a href="org/polarsys/chess/validator/command/CHESSCoreValidationHandler.html" title="class in org.polarsys.chess.validator.command"><span class="typeNameLink">CHESSCoreValidationHandler</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.polarsys.chess.validator.managers.<a href="org/polarsys/chess/validator/managers/ModelManager.html" title="class in org.polarsys.chess.validator.managers"><span class="typeNameLink">ModelManager</span></a></li>
<li type="circle">org.polarsys.chess.validator.managers.<a href="org/polarsys/chess/validator/managers/ModelParser.html" title="class in org.polarsys.chess.validator.managers"><span class="typeNameLink">ModelParser</span></a></li>
<li type="circle">org.eclipse.osgi.util.NLS
<ul>
<li type="circle">org.polarsys.chess.validator.messages.<a href="org/polarsys/chess/validator/messages/Messages.html" title="class in org.polarsys.chess.validator.messages"><span class="typeNameLink">Messages</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<ul>
<li type="circle">org.polarsys.chess.validator.<a href="org/polarsys/chess/validator/Activator.html" title="class in org.polarsys.chess.validator"><span class="typeNameLink">Activator</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.transaction.ResourceSetListenerImpl (implements org.eclipse.emf.transaction.ResourceSetListener.Internal)
<ul>
<li type="circle">org.polarsys.chess.core.resourcelistener.ResourceSetListenerExtra
<ul>
<li type="circle">org.polarsys.chess.validator.managers.<a href="org/polarsys/chess/validator/managers/ResourceListener.html" title="class in org.polarsys.chess.validator.managers"><span class="typeNameLink">ResourceListener</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.polarsys.chess.validator.constraints.<a href="org/polarsys/chess/validator/constraints/StringParser.html" title="class in org.polarsys.chess.validator.constraints"><span class="typeNameLink">StringParser</span></a></li>
<li type="circle">org.polarsys.chess.validator.managers.<a href="org/polarsys/chess/validator/managers/ValidationDelegateClientSelector.html" title="class in org.polarsys.chess.validator.managers"><span class="typeNameLink">ValidationDelegateClientSelector</span></a> (implements org.eclipse.emf.validation.model.IClientSelector)</li>
<li type="circle">org.polarsys.chess.validator.managers.<a href="org/polarsys/chess/validator/managers/ViewManager.html" title="class in org.polarsys.chess.validator.managers"><span class="typeNameLink">ViewManager</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.polarsys.chess.validator.automatedActions.<a href="org/polarsys/chess/validator/automatedActions/IAutomatedAction.html" title="interface in org.polarsys.chess.validator.automatedActions"><span class="typeNameLink">IAutomatedAction</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
